# Copyright (c) 2024, JINGROW
# For license information, please see license.txt


import jingrow
from tqdm import tqdm


def execute():
	sites = jingrow.get_all("Site", fields=["name", "team"], filters={"status": "Archived"})

	for site in tqdm(sites):
		jingrow.db.set_value(
			"Site Backup",
			{"site": site["name"], "files_availability": "Available"},
			"team",
			site["team"],
		)
